Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oasis.names.tc.dss._1_0.core.schema
Class DocumentHash

    java.lang.Object
      oasis.names.tc.dss._1_0.core.schema.DocumentBaseType
          oasis.names.tc.dss._1_0.core.schema.DocumentHash

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:11+01:00",
               comments="JAXB RI v2.2.11")
    public class DocumentHash

extends DocumentBaseType
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{urn:oasis:names:tc:dss:1.0:core:schema}DocumentBaseType">
           <sequence>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}Transforms" minOccurs="0"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}DigestMethod" minOccurs="0"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}DigestValue"/>
           </sequence>
           <attribute name="WhichReference" type="{http://www.w3.org/2001/XMLSchema}integer" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DocumentHash()`

Method Summary
`DigestMethod` | `getDigestMethod()` Gets the value of the digestMethod property.
`byte[]` | `getDigestValue()` Gets the value of the digestValue property.
`Transforms` | `getTransforms()` Gets the value of the transforms property.
`BigInteger` | `getWhichReference()` Gets the value of the whichReference property.
`void` | `setDigestMethod(DigestMethod value)` Sets the value of the digestMethod property.
`void` | `setDigestValue(byte[] value)` Sets the value of the digestValue property.
`void` | `setTransforms(Transforms value)` Sets the value of the transforms property.
`void` | `setWhichReference(BigInteger value)` Sets the value of the whichReference property.

Methods inherited from class oasis.names.tc.dss._1_0.core.schema.DocumentBaseType
`getID, getRefType, getRefURI, getSchemaRefs, setID, setRefType, setRefURI`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentHash

    public DocumentHash()

Method Detail

### getTransforms

    public Transforms getTransforms()

  Gets the value of the transforms property.

  Returns:
    possible object is `Transforms`

### setTransforms

    public void setTransforms(Transforms value)

  Sets the value of the transforms property.

  Parameters:
    `value` - allowed object is `Transforms`

### getDigestMethod

    public DigestMethod getDigestMethod()

  Gets the value of the digestMethod property.

  Returns:
    possible object is `DigestMethod`

### setDigestMethod

    public void setDigestMethod(DigestMethod value)

  Sets the value of the digestMethod property.

  Parameters:
    `value` - allowed object is `DigestMethod`

### getDigestValue

    public byte[] getDigestValue()

  Gets the value of the digestValue property.

  Returns:
    possible object is byte[]

### setDigestValue

    public void setDigestValue(byte[] value)

  Sets the value of the digestValue property.

  Parameters:
    `value` - allowed object is byte[]

### getWhichReference

    public BigInteger getWhichReference()

  Gets the value of the whichReference property.

  Returns:
    possible object is `BigInteger`

### setWhichReference

    public void setWhichReference(BigInteger value)

  Sets the value of the whichReference property.

  Parameters:
    `value` - allowed object is `BigInteger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.